<p class="note-text">
  Note: You can choose maximum 2 players in "Player IN" and "Player OFF" filter.
  If you are combining In and Out, then only one player can be selected per filter.
</p>

<p-table
  [value]="statsInOut" 
  [loading]="loading"
  [rows]="30" 
  [showCurrentPageReport]="true"
  [tableStyle]="{ 'min-width': '50rem' }"
  styleClass="p-datatable-sm"
  [scrollable]="true" scrollHeight="flex"
  >
  <ng-template pTemplate="caption">
    <div>
      <form *ngIf="seasons && teams" class="flex" [formGroup]="formGroup">
        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" [filter]="true" appendTo="body" formControlName="teamId" [options]="teams" placeholder="Select a playerFilter" inputId="float-label" optionLabel="name"></p-dropdown>
          <label class="label-mobile" for="float-label">Team</label>
        </span>

        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" appendTo="body" formControlName="gameFilter" [options]="gameFilter" placeholder="Select a teamFilter" optionLabel="name" [filter]="true"></p-dropdown>
          <label class="label-mobile" for="float-label">Game Filter</label>
        </span>

        <span class="p-float-label">
          <p-multiSelect [style]="{ width: '11rem' }" appendTo="body" formControlName="includePlayers" [options]="teamPlayers" optionLabel="name" 
            selectedItemsLabel="All"
            [maxSelectedLabels]="teamPlayers?.length ? teamPlayers.length - 1 : 0"  
            defaultLabel="Select Player(s)"
            [selectionLimit]="selectionLimitPlayerIn">
          </p-multiSelect>
          <label class="label-mobile" for="float-label">Player IN</label>
        </span>

        <span class="p-float-label">
          <p-multiSelect [style]="{ width: '11rem' }" appendTo="body" formControlName="excludePlayers" [options]="teamPlayers" placeholder="Player OFF" optionLabel="name"
            [virtualScroll]="true"
            [virtualScrollItemSize]="38"
            [selectionLimit]="selectionLimitPlayerOut"
            >
          </p-multiSelect>
          <label class="label-mobile" for="float-label">Player OFF</label>
        </span>
        
        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" appendTo="body" formControlName="season" [options]="seasons" placeholder="Season"></p-dropdown>
          <label class="label-mobile" for="float-label">Season</label>
        </span>
        
        <!-- <label for="float-label">Select a playerFilter</label> -->
        <!-- <p-dropdown formControlName="teamFilter" [options]="teamFilter" placeholder="Select a teamFilter"></p-dropdown>
        <p-dropdown formControlName="cap" [options]="cap" placeholder="Select a cap" optionLabel="name"></p-dropdown>
        <p-dropdown formControlName="seasonFilter" [options]="seasonFilter" placeholder="Select a Season Filter" optionLabel="name"></p-dropdown>
        <p-dropdown formControlName="season" [options]="seasonsFilter" placeholder="Select a Season"></p-dropdown> -->
      </form>
    </div>
  </ng-template>

  <ng-template pTemplate="header">
    <tr>
      <th pSortableColumn="name" style="width:20%">Name
        <p-sortIcon field="name"></p-sortIcon>
      </th>
      <th pSortableColumn="g">G
        <p-sortIcon field="g"></p-sortIcon>
      </th>
      <th pSortableColumn="mp">Mp
        <p-sortIcon field="mp"></p-sortIcon>
      </th>
      <th pSortableColumn="pts">Pts
        <p-sortIcon field="pts"></p-sortIcon>
      </th>
      <th pSortableColumn="trb">Trb
        <p-sortIcon field="trb"></p-sortIcon>
      </th>
      <th pSortableColumn="drb">Drb
        <p-sortIcon field="drb"></p-sortIcon>
      </th>
      <th pSortableColumn="orb">Orb
        <p-sortIcon field="orb"></p-sortIcon>
      </th>
      <th pSortableColumn="ast">Ast
        <p-sortIcon field="ast"></p-sortIcon>
      </th>
      <th pSortableColumn="fg">Fg
        <p-sortIcon field="fg"></p-sortIcon>
      </th>
      <th pSortableColumn="fga">Fga
        <p-sortIcon field="fga"></p-sortIcon>
      </th>
      <th pSortableColumn="fgPct">FgPct
        <p-sortIcon field="fgPct"></p-sortIcon>
      </th>
      <th pSortableColumn="fg3">Fg3
        <p-sortIcon field="fg3"></p-sortIcon>
      </th>
      <th pSortableColumn="fg3a">Fg3a
        <p-sortIcon field="fg3a"></p-sortIcon>
      </th>
      <th pSortableColumn="fg3Pct">Fg3Pct
        <p-sortIcon field="fg3Pct"></p-sortIcon>
      </th>
      <th pSortableColumn="ft">Ft
        <p-sortIcon field="ft"></p-sortIcon>
      </th>
      <th pSortableColumn="fta">Fta
        <p-sortIcon field="fta"></p-sortIcon>
      </th>
      <th pSortableColumn="ftPct">FtPct
        <p-sortIcon field="ftPct"></p-sortIcon>
      </th>
      
      <!-- <th>Team</th> -->
      <!-- <th>G</th> -->
      <!-- <th>Pts</th> -->
      <!-- <th>Trb</th> -->
      <!-- <th>Drb</th> -->
      <!-- <th>Orb</th> -->
      <!-- <th>Ast</th> -->
      <!-- <th>Fg</th> -->
      <!-- <th>Fga</th> -->
      <!-- <th>Fg3</th> -->
      <!-- <th>Fg3a</th> -->
      <!-- <th>Ft</th> -->
      <!-- <th>Fta</th> -->
      <!-- <th>Mp</th> -->
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-stats>
    <tr>
      <td>{{ stats.name === 'sc' ? 'CS' : 
            stats.name.length <= 3 ? ( stats.name | uppercase ) : ( stats.name | titlecase ) }}</td>
      <td>{{ stats.g }}</td>
      <td>{{ stats.mp === 'NaN' ? '' : (stats.mp | number : '1.1-1')  }}</td>
      <td>{{ stats.pts === 'NaN' ? '' : (stats.pts | number : '1.1-1')  }}</td>
      <td>{{ stats.trb === 'NaN' ? '' : (stats.trb | number : '1.1-1')  }}</td>
      <td>{{ stats.drb === 'NaN' ? '' : (stats.drb | number : '1.1-1')  }}</td>
      <td>{{ stats.orb === 'NaN' ? '' : (stats.orb | number : '1.1-1')  }}</td>
      <td>{{ stats.ast === 'NaN' ? '' : (stats.ast | number : '1.1-1')  }}</td>
      <td>{{ stats.fg === 'NaN' ? '' : (stats.fg | number : '1.1-1')  }}</td>
      <td>{{ stats.fga === 'NaN' ? '' : (stats.fga | number : '1.1-1')  }}</td>
      <td>{{ stats.fgPct === 'NaN' ? '' : (stats.fgPct | number : '1.1-1')  }}</td>
      <td>{{ stats.fg3 === 'NaN' ? '' : (stats.fg3 | number : '1.1-1')  }}</td>
      <td>{{ stats.fg3a === 'NaN' ? '' : (stats.fg3a | number : '1.1-1')  }}</td>
      <td>{{ stats.fg3Pct === 'NaN' ? '' : (stats.fg3Pct | number : '1.1-1')  }}</td>
      <td>{{ stats.ft === 'NaN' ? '' : (stats.ft | number : '1.1-1')  }}</td>
      <td>{{ stats.fta === 'NaN' ? '' : (stats.fta | number : '1.1-1')  }}</td>
      <td>{{ stats.ftPct === 'NaN' ? '' : (stats.ftPct | number : '1.1-1')  }}</td>

    </tr>
  </ng-template>
  <!-- <ng-template pTemplate="paginatorleft">
      <p-button type="button" icon="pi pi-plus" styleClass="p-button-text"></p-button>
  </ng-template>
  <ng-template pTemplate="paginatorright">
      <p-button type="button" icon="pi pi-cloud" styleClass="p-button-text"></p-button>
  </ng-template> -->
</p-table>
<pre>
  BP = Best Player
  Driver = Driver
  BHD = Ball Handler Driver
  BHS = Ball Handler Shooter
  CP = Center Paint
  CS = Center Shooter
  MS = Mixed Screen/SpotUp Shooter
  SU = SpotUp Shooter
  SUS = SpotUp Shooter Starter
</pre>

<p-toast [breakpoints]="{'768px': {width: '90%'}}"></p-toast>
